GDBserver

Public Attributes | List of all members
btrace_data Struct Reference

`#include "btrace-common.h"`

## Public Attributes
enum btrace_format | format
union {
struct btrace_data_bts bts
struct btrace_data_pt pt
} | variant

## Detailed Description

Definition at line 165 of file btrace-common.h.

## Member Data Documentation

## ◆ bts

struct btrace_data_bts btrace_data::bts

Definition at line 172 of file btrace-common.h.

Referenced by btrace_data_append(), btrace_data_empty(), and btrace_data_fini().

## ◆ format

enum btrace_format btrace_data::format

Definition at line 167 of file btrace-common.h.

Referenced by btrace_data_append(), btrace_data_empty(), btrace_data_fini(), and btrace_data_init().

## ◆ pt

struct btrace_data_pt btrace_data::pt

Definition at line 175 of file btrace-common.h.

Referenced by btrace_data_append(), btrace_data_empty(), and btrace_data_fini().

## ◆ variant

union { ... } btrace_data::variant

Referenced by btrace_data_append(), btrace_data_empty(), and btrace_data_fini().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/common/btrace-common.h